# Uses of Class
javax.security.cert.X509Certificate

Packages that use X509Certificate
Package
Description
javax.net.ssl
Provides classes for the secure socket package.
javax.security.cert
Provides classes for public key certificates.

## Uses of X509Certificate in javax.net.ssl

Methods in javax.net.ssl that return X509Certificate
Modifier and Type
Method
Description
`X509Certificate[]`
HandshakeCompletedEvent.`getPeerCertificateChain()`
Deprecated, for removal: This API element is subject to removal in a future version.
The `HandshakeCompletedEvent.getPeerCertificates()` method that returns an array of `java.security.cert.Certificate` should be used instead.
`default X509Certificate[]`
SSLSession.`getPeerCertificateChain()`
Deprecated, for removal: This API element is subject to removal in a future version.
The `SSLSession.getPeerCertificates()` method that returns an array of `java.security.cert.Certificate` should be used instead.

## Uses of X509Certificate in javax.security.cert

Methods in javax.security.cert that return X509Certificate
Modifier and Type
Method
Description
`static X509Certificate`
X509Certificate.`getInstance​(byte[] certData)`
Deprecated, for removal: This API element is subject to removal in a future version.
Instantiates an X509Certificate object, and initializes it with the specified byte array.
`static X509Certificate`
X509Certificate.`getInstance​(InputStream inStream)`
Deprecated, for removal: This API element is subject to removal in a future version.
Instantiates an X509Certificate object, and initializes it with the data read from the input stream `inStream`.